Bug 138870 - Calendar Go To Today doesn't go to Today
Calendar Go To Today doesn't go to Today
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 13:25 EST by dexterthrowaway
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 17:17:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dexterthrowaway 2004-11-11 13:25:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; rv:1.7.3)
Gecko/20040913 Firefox/0.10.1

Description of problem:
The Calendar component of Evolution has a "Go To" button on the
toolbar. Selecting it has an option "Select Today". Pressing this
button should select the current date. Unfortunately selecting this
only makes it go to October 31, 2004.

Of note is that Evolution also starts with October 31, 2004 as
selected. It seems it does know about the current date as the date
today (November 12, 2004) is colored red. It just doesn't select it as
"Today".

Version-Release number of selected component (if applicable):
evolution-2.0.2-3

How reproducible:
Always

Steps to Reproduce:
1. Run Evolution, Calendar component.
2. Click "Go To" on the toolbar. Click "Select Today" button on the
dialog.
    

Actual Results:  Selected date remains at original incorrect starting
date of October 31, 2004.

Expected Results:  The selected date should have been the one already
detected and colored red (November 12, 2004).

Additional info:

Have tried with a "clean slate", closing evolution, and killing all in
the result of "ps aux | grep evo" which are evolution-data-server and
evolution-alarm-notify. Bug seems to still be present after this.

Note, have not tested by changing the current date of my laptop to see
if the incorrect "Today" moves to November 1, or remains at October 31.

This is on an updated FC3. Up to the recently released
postfix-2.1.5-2.3.FC3 patch.
Comment 1 Dave Malcolm 2004-11-11 14:25:10 EST
Looking at the code, it should be calling the "time" function to get
at the date.  What output do you get if you type "date" in a terminal?

(BTW, it's November 11th today; at least, it is, according to
Bugzilla.  What time zone are you in?)
Comment 2 dexterthrowaway 2004-11-12 00:54:48 EST
"date" results in:

Fri Nov 12 13:52:43 PHT 2004

my /etc/sysconfig/clock has:

ZONE="Asia/Manila"
UTC=false
ARC=false

Both are correct for me. +8 GMT I believe.

Additional info is that it only happens in Month view. I tested with
Day, Work Week, and Week views and it goes to the current date/week
correctly. I obviously did not test in all views previously. Anyway,
it does detect the currect date correctly, as the little number in the
Month view boxes turns red on whatever is today (for me Nov. 12). It
just doesn't highlight it with the blue "selection" bar with the Go To
option.

Anyway else to test this?
Comment 4 Matthew Miller 2006-07-10 17:51:12 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 John Thacker 2006-10-30 17:17:05 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.